include ../test_defines.mk

# define vars if they are undefined
OBJDIR := $(if $(OBJDIR),$(OBJDIR),../../output/$(MACHINE)/coverage)
RESULTSDIR := $(if $(RESULTSDIR),$(RESULTSDIR),RESULTSDIR)

TARGET = run_test
SOURCES += ../cthulhu_networking_with_device/test_networking.c
SOURCES += $(wildcard $(TEST_SRCDIR)/*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

$(OBJDIR)/%.o: ../cthulhu_networking_with_device/%.c | $(OBJDIR)/
	$(CC) $(CFLAGS) -c -o $@ $<
	@$(CC) $(CFLAGS) -MM -MP -MT '$(@) $(@:.o=.d)' -MF $(@:.o=.d) $(<)

include ../test_targets.mk
